import React from "react";
export declare type ButtonProps = {
    size?: "small" | "medium" | "large";
    startIcon?: React.ReactNode;
    endIcon?: React.ReactNode;
    children: React.ReactNode;
    className?: string;
    disabled?: boolean;
    href?: string;
    color?: "inherit" | "default" | "brand" | "primary" | "secondary" | "light" | "cheese";
    fullWidth?: boolean;
    variant?: "contained" | "outlined" | "text";
    onClick?: (e: React.MouseEvent | React.TouchEvent) => void;
};
export declare type RefType = HTMLButtonElement;
declare const index: React.ForwardRefExoticComponent<ButtonProps & React.RefAttributes<HTMLButtonElement>>;
export default index;
//# sourceMappingURL=index.d.ts.map